<?php
/**
 * @version $Id: profile.horizontal.php 3325 2010-08-29 07:35:50Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2009 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

if (!isset($this->showUnusedSocial)) $this->showUnusedSocial = false;
?>
<table class="kpost-profile">
	<tr>
	<td class="kpost-username first-col">
		<?php echo CKunenaLink::GetProfileLink ( intval($this->profile->userid), $this->escape($this->username) ); ?>
	</td>	
	<?php if ($this->avatar): ?>
		<td class="kpost-avatar">
		<?php echo CKunenaLink::GetProfileLink ( intval($this->profile->userid), $this->avatar ); ?>
		</td>
	<?php endif; ?>

	<?php if ($this->usertype) : ?>
		<td class="kpost-usertype">
			<span class = "kmsgusertype">( <?php echo $this->escape($this->usertype) ?> )</span>
		</td>
	<?php endif ?>
	
	<?php if ($this->profile->userid): ?>
		<?php if ($this->userranktitle || $this->userrankimage) : ?>
		<td class="kpost-userrank">
		<?php if ($this->userranktitle) : ?>
			<p><?php echo $this->escape($this->userranktitle) ?></p>
		<?php endif ?>
		<?php if ($this->userrankimage) : ?>
			<p><?php echo $this->userrankimage ?></p>
		<?php endif ?>
		</td>
		<?php endif ?>
		
		<td><span class="kicon-button kbuttononline-<?php echo $this->profile->isOnline(true) ?>"><span class="online-<?php echo $this->profile->isOnline(true) ?>"><span><?php echo $this->profile->isOnline() ? JText::_('COM_KUNENA_ONLINE') : JText::_('COM_KUNENA_OFFLINE'); ?></span></span></span></td>
		<?php if ( $this->usermedals ) : ?>
			<td class="kpost-usermedals">
			<?php foreach ( $this->usermedals as $medal ) : ?>
				<?php echo $medal; ?>
			<?php endforeach ?>
			</td>
		<?php endif ?>
	<?php endif; ?>
	
	<?php if ($this->profile->userid): ?>
		<td class="kpost-smallicons">
			<p><?php echo $this->profile->profileIcon('gender'); ?></p>
			<p><?php echo $this->profile->profileIcon('birthdate'); ?></p>
			<p><?php echo $this->profile->profileIcon('location'); ?></p>
			<p><?php echo $this->profile->profileIcon('website'); ?></p>
			<p><?php echo $this->profile->profileIcon('private'); ?></p>
			<p><?php echo $this->profile->profileIcon('email'); ?></p>
			<?php if ($this->userposts) : ?>
				<span class="kpost-userposts"><?php echo JText::_('COM_KUNENA_POSTS') . intval($this->userposts); ?></span>
			<?php endif ?>
			<?php if ($this->userpoints) : ?>
				<span class="kpost-userposts"><?php echo JText::_('COM_KUNENA_AUP_POINTS') . intval($this->userpoints); ?></span>
			<?php endif ?>
		</td>
		<?php if ($this->personaltext) : ?>
		<td class="kpost-personal">
			<?php echo KunenaParser::parseText($this->personaltext) ?>
		</td>
		<?php endif ?>
	<?php endif; ?>
	
	</tr>
</table>	